Lavalite package that provides manpower management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `hrm/manpower`.

    "hrm/manpower": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Hrm\Manpower\Providers\ManpowerServiceProvider::class,

And also add it to alias

    'Manpower'  => Hrm\Manpower\Facades\Manpower::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Hrm\\ManpowerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Hrm\Manpower\Providers\ManpowerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Hrm\Manpower\Providers\ManpowerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Hrm\Manpower\Providers\ManpowerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/manpower/{modulename}

**User**

    http://path-to-route-folder/user/manpower/{modulename}

**Public**

    http://path-to-route-folder/manpowers


### API endpoints

**List**

    http://path-to-route-folder/api/user/manpower/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/manpower/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/manpower/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/manpower/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/manpower/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/manpower/{modulename}/{slug}
    METHOD: GET