<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for manpower in manpower package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  manpower module in manpower package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Manpower',
    'names'         => 'Manpowers',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Manpowers',
        'sub'   => 'Manpowers',
        'list'  => 'List of manpowers',
        'edit'  => 'Edit manpower',
        'create'    => 'Create new manpower'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'company_type'        => ['TPL','ENB','TNL','OTHERS'],
            'type'                => ['Replacement','New Position'],
            'employment_type'     => ['Full Time','Part Time','Others'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company',
        'company_type'               => 'Please select company type',
        'department_id'              => 'Please enter department',
        'date'                       => 'Please select date',
        'job_vacancy'                => 'Please enter job vacancy',
        'location'                   => 'Please enter location',
        'employed_under'             => 'Please enter employed under',
        'reason'                     => 'Please enter reason',
        'type'                       => 'Please select type',
        'employment_type'            => 'Please select employment type',
        'others_reason'              => 'Please enter others reason',
        'work_description'           => 'Please enter work description',
        'qualification'              => 'Please enter qualification',
        'work_experience'            => 'Please enter work experience',
        'commencement_date'          => 'Please select commencement date',
        'supervisor'                 => 'Please enter supervisor',
        'actual_no'                  => 'Please enter actual no',
        'plan_no'                    => 'Please enter plan no',
        'variance'                   => 'Please enter variance',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'company_type'               => 'Company type',
        'department_id'              => 'Department id',
        'date'                       => 'Date',
        'job_vacancy'                => 'Job vacancy',
        'location'                   => 'Location',
        'employed_under'             => 'Employed under',
        'reason'                     => 'Reason',
        'type'                       => 'Type',
        'employment_type'            => 'Employment type',
        'others_reason'              => 'Others reason',
        'work_description'           => 'Work description',
        'qualification'              => 'Qualification',
        'work_experience'            => 'Work experience',
        'commencement_date'          => 'Commencement date',
        'supervisor'                 => 'Supervisor',
        'actual_no'                  => 'Actual no',
        'plan_no'                    => 'Plan no',
        'variance'                   => 'Variance',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'company_type'               => ['name' => 'Company type', 'data-column' => 2, 'checked'],
        'department_id'              => ['name' => 'Department id', 'data-column' => 3, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 4, 'checked'],
        'job_vacancy'                => ['name' => 'Job vacancy', 'data-column' => 5, 'checked'],
        'location'                   => ['name' => 'Location', 'data-column' => 6, 'checked'],
        'employed_under'             => ['name' => 'Employed under', 'data-column' => 7, 'checked'],
        'reason'                     => ['name' => 'Reason', 'data-column' => 8, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 9, 'checked'],
        'employment_type'            => ['name' => 'Employment type', 'data-column' => 10, 'checked'],
        'others_reason'              => ['name' => 'Others reason', 'data-column' => 11, 'checked'],
        'work_description'           => ['name' => 'Work description', 'data-column' => 12, 'checked'],
        'qualification'              => ['name' => 'Qualification', 'data-column' => 13, 'checked'],
        'work_experience'            => ['name' => 'Work experience', 'data-column' => 14, 'checked'],
        'commencement_date'          => ['name' => 'Commencement date', 'data-column' => 15, 'checked'],
        'supervisor'                 => ['name' => 'Supervisor', 'data-column' => 16, 'checked'],
        'actual_no'                  => ['name' => 'Actual no', 'data-column' => 17, 'checked'],
        'plan_no'                    => ['name' => 'Plan no', 'data-column' => 18, 'checked'],
        'variance'                   => ['name' => 'Variance', 'data-column' => 19, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Manpowers',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
