<?php

// API routes  for manpower
Route::prefix('{guard}/manpower')->group(function () {
    Route::get('manpower/form/{element}', 'ManpowerAPIController@form');
    Route::resource('manpower', 'ManpowerAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for manpowers
            Route::prefix('{guard}/manpower')->group(function () {
                Route::get('manpower/form/{element}', 'ManpowerAPIController@form');
                Route::apiResource('manpower', 'ManpowerAPIController');
            });
            // Public routes for manpowers
            Route::get('manpower/Manpower', 'ManpowerPublicController@getManpower');
        }
    );
}

