<?php

namespace Hrm\Manpower;

use DB;
use Illuminate\Database\Seeder;

class ManpowerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('manpowers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'manpower.manpower.view',
                'name'      => 'View Manpower',
            ],
            [
                'slug'      => 'manpower.manpower.create',
                'name'      => 'Create Manpower',
            ],
            [
                'slug'      => 'manpower.manpower.edit',
                'name'      => 'Update Manpower',
            ],
            [
                'slug'      => 'manpower.manpower.delete',
                'name'      => 'Delete Manpower',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/manpower/manpower',
                'name'        => 'Manpower',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/manpower/manpower',
                'name'        => 'Manpower',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'manpower',
                'name'        => 'Manpower',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Manpower',
                'module'    => 'Manpower',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'manpower.manpower.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
