<?php

// web routes  for manpower
Route::prefix('{guard}/manpower')->group(function () {
    Route::resource('manpower', 'ManpowerResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ManpowerResourceController');
            });
            // Public routes for pages
            Route::get('manpowers/', 'ManpowerPublicController@index');
            Route::get('manpowers/{slug?}', 'ManpowerPublicController@show');
        }
    );
}

